#include "GuardFlag.h"
#include "Engine/HitResult.h"
#include "Net/UnrealNetwork.h"

class ADBDPlayer;
class UPrimitiveComponent;
class AActor;

void AGuardFlag::OnRep_ActivationState()
{

}

void AGuardFlag::Multicast_OnCamperCapturedFlag_Implementation(ADBDPlayer* huntedSurvivor)
{

}

ADBDPlayer* AGuardFlag::GetHuntedSurvivor() const
{
	return NULL;
}

float AGuardFlag::GetFlagPickupHasteDuration() const
{
	return 0.0f;
}

float AGuardFlag::GetFlagPickupEnduranceDuration() const
{
	return 0.0f;
}

float AGuardFlag::GetActivationTimeLeft() const
{
	return 0.0f;
}

void AGuardFlag::Authority_OnBeginOverlap(UPrimitiveComponent* overlappedComponent, AActor* other, UPrimitiveComponent* otherComp, int32 otherBodyIndex, bool bFromSweep, const FHitResult& hitResult)
{

}

void AGuardFlag::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(AGuardFlag, _activationState);
}

AGuardFlag::AGuardFlag()
{
	this->_flagPickupEnduranceEffectClass = NULL;
	this->_flagPickupHasteEffectClass = NULL;
}
